
<h1 class="text-bg-dark text-center mt-3  ">Book Inventory System</h1>
<button  class="btn btn-primary mt-5 mb-5 text-center " (click)="initNewBook()" > Add New Book

</button>




<table class="table">

  <thead class="thead-dark">
    
      <th scope="col">ISBN</th>
      <th scope="col">Book Name</th>
      <th scope="col">Author</th>
      <th scope="col">Genre</th>
      <th scope="col">Publisher</th>
      <th scope="col">Language</th>
      <th scope="col">Price</th>
      <th scope="col">Action</th>
      
    
  </thead>
  <tbody>
    <tr *ngFor="let book of booked">

      <td> {{book.id}} </td>

      <td> {{book.Name}} </td>
      
      <td> {{book.author}} </td>
      <td> {{book.genre}} </td>
      <td> {{book.publisher}} </td>
      <td> {{book.language}} </td>
      <td> Rs.  {{book.price}} </td>


      <td>
        <button  class="btn btn-success" (click)="editBook(book)">
            Edit
        </button>
      </td>
      
    </tr>
  </tbody>
</table>

<app-edit-book [book]="bookToEdit" (booksUpdated)="updateBookList($event)"></app-edit-book>

